MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0017378mantisbtcode cleanuppublic2014-05-26 11:162014-05-29 16:12
Reportergrangeway 
Assigned Tograngeway 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.3.xFixed in Version1.3.x 
Summary0017378: Reduce unneeded global Variables: g_api_included
Description$g_api_included is defined as a global variable. It's only use is within the require_api() function, and therefore can be implemented as a static variable within this function.

This reduces the number of variables within the global scope
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Related Changesets
MantisBT: master 35ad2b52
Timestamp: 2014-05-29 09:02:47
Author: grangeway
Details ] Diff ]
Merge pull request 0000184 from grangeway/17378

Fix 0017378: Reduce unneeded global Variables: g_api_included
mod - core.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-26 11:16 grangeway New Issue
2014-05-28 18:41 grangeway Status new => assigned
2014-05-28 18:41 grangeway Assigned To => grangeway
2014-05-29 09:03 grangeway Status assigned => resolved
2014-05-29 09:03 grangeway Fixed in Version => 1.3.x
2014-05-29 09:03 grangeway Resolution open => fixed
2014-05-29 09:06 grangeway Changeset attached => MantisBT master 35ad2b52
2014-05-29 16:12 atrol Target Version => 1.3.x


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.1137 seconds.
memory usage: 3,028 KB
Powered by Mantis Bugtracker